List messages

GET /api/v2/messages - Paginated inbox messages, optionally filtered by contact or unread status.

GET/api/v2/messages

Paginated inbox messages, optionally filtered by contact or unread status.

Required scope: messages (or *).

Query parameters

NameRequiredDescription
pageNoPage number (default 1)
limitNoPage size
contact_uuidNoFilter to one contact
unreadNoSet to 1 for unread only

Example request

curl -s -H "Authorization: Bearer YOUR_TOKEN" \
  "https://benefitpath.com/api/v2/messages?page=1&limit=25&contact_uuid=c0a80101-0000-4000-8000-000000000001&unread=1"

Example response

{
  "success": true,
  "messages": [{
    "id": 10042,
    "contact_uuid": "c0a80101-0000-4000-8000-000000000001",
    "is_read": false,
    "message_text": "Thanks for calling back"
  }],
  "pagination": { "page": 1, "limit": 25, "total": 1 }
}

See Messages and Errors.